%define anolis_release 1
Name:           python-black
Version:        24.3.0
Release:        %{anolis_release}%{?dist}
Summary:        The uncompromising code formatter
License:        MIT
URL:            https://github.com/psf/black
Source:         %{pypi_source black}

BuildArch:      noarch

BuildRequires:  python3-devel

# test requirements (upstream mixed with coverage, we hand-pick what we need only):
BuildRequires:  python3-pytest

# the black[jupyter] extra is allowed by default
# disable to avoid the ipython-black bootstrap loop
# note that tests/test_no_ipynb.py only runs without jupyter
# extra paranoid packagers can build this both with and without to run all tests
%bcond_with jupyter

%global _description %{expand:
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.}

%description %_description


%package -n     black
Summary:        %{summary}
Recommends:     black+d = %{version}-%{release}
%py_provides    python3-black

%description -n black %_description


%prep
%autosetup -n black-%{version} -p1

# Allow lesser version of setuptools_scm which we verified works
# Needed for Fedora 35
# sed -i 's/setuptools_scm\[toml\]>=6.3.1/setuptools_scm\[toml\]>=6/' pyproject.toml setup.cfg


%generate_buildrequires
%global extras_without_d colorama,uvloop%{?with_jupyter:,jupyter}
%pyproject_buildrequires -rx d,%{extras_without_d}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files 'black*' '_black*' blib2to3

for exe in black blackd; do
  ln -sr %{buildroot}%{_bindir}/${exe}{,-%{python3_version}}
done


%files -n black -f %{pyproject_files}
%license LICENSE
%{_bindir}/black
%{_bindir}/black-%{python3_version}

%pyproject_extras_subpkg -n black d
%{_bindir}/blackd
%{_bindir}/blackd-%{python3_version}

%pyproject_extras_subpkg -n black %{extras_without_d}


%changelog
* Tue Jul 15 2025 wenxin <wx02272781@alibaba-inc.com> - 24.3.0-1
- Update to 24.3.0 to fix CVE-2024-21503

* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 23.12.1-2
- Rebuild with python3.11

* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 22.12.1-1
- Upgrade to 22.12.1

* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 22.8.0-1
- Import package for anolis 23
